Package: nmap / 7.70+dfsg1-5

Metadata

Package Version Patches format
nmap 7.70+dfsg1-5 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
0001 use su to root.patch | (download)

zenmap/install_scripts/unix/zenmap-root.desktop | 4 2 + 2 - 0 !
1 file changed, 2 insertions(+), 2 deletions(-)

 use su-to-root


0002 Use Debian s ca certificates.patch | (download)

ncat/ncat_posix.c | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 use debian's ca-certificates


0003 Link against lua lpeg.patch | (download)

configure.ac | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 link against lua-lpeg


0004 library versions.patch | (download)

nmap.cc | 12 10 + 2 - 0 !
1 file changed, 10 insertions(+), 2 deletions(-)

 report correct versions for libssh2 and zlib
 Do not report the versions from the libssh2/libssh2v.h and libz/libzv.h files,
 because they are not correct when nmap is linked against the system version of
 these (instead of the version bundled with nmap).  Instead use the version
 facility provided by the libraries themselves.
0005 ncat manpage self reference.patch | (download)

ncat/docs/ncat.1 | 1 0 + 1 - 0 !
1 file changed, 1 deletion(-)

 remove ncat's manpage self-reference (closes: #765999)
 manpage is generated dynamicaly on upstream, so it is needed to
 patch their script instead of the file like this.